com.independentsoft.exchange

## Class UserConfigurationDictionaryKey

- java.lang.Object
- - com.independentsoft.exchange.UserConfigurationDictionaryKey

-     public class UserConfigurationDictionaryKey
      extends java.lang.Object

  Specifies the dictionary key for a dictionary property.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConfigurationDictionaryKey()` Initializes a new instance of the UserConfigurationDictionaryKey class.
    `UserConfigurationDictionaryKey(UserConfigurationDictionaryObjectType type, java.util.List<java.lang.String> values)` Initializes a new instance of the UserConfigurationDictionaryKey class.
    `UserConfigurationDictionaryKey(UserConfigurationDictionaryObjectType type, java.lang.String value)` Initializes a new instance of the UserConfigurationDictionaryKey class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserConfigurationDictionaryObjectType` | `getType()` Gets a dictionary object type.
    `java.util.List<java.lang.String>` | `getValues()` Gets the dictionary object value as a string.
    `void` | `setType(UserConfigurationDictionaryObjectType type)` Sets a dictionary object type.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserConfigurationDictionaryKey

          public UserConfigurationDictionaryKey()

      Initializes a new instance of the UserConfigurationDictionaryKey class.

    - #### UserConfigurationDictionaryKey

          public UserConfigurationDictionaryKey(UserConfigurationDictionaryObjectType type,
                                                java.lang.String value)

      Initializes a new instance of the UserConfigurationDictionaryKey class.
      Parameters:
        `type` - the type
        `value` - the value

    - #### UserConfigurationDictionaryKey

          public UserConfigurationDictionaryKey(UserConfigurationDictionaryObjectType type,
                                                java.util.List<java.lang.String> values)

      Initializes a new instance of the UserConfigurationDictionaryKey class.
      Parameters:
        `type` - the type
        `values` - the values

  - ### Method Detail

    - #### getType

          public UserConfigurationDictionaryObjectType getType()

      Gets a dictionary object type.
      Returns:
        the type

    - #### setType

          public void setType(UserConfigurationDictionaryObjectType type)

      Sets a dictionary object type.
      Parameters:
        `type` - the new type

    - #### getValues

          public java.util.List<java.lang.String> getValues()

      Gets the dictionary object value as a string.
      Returns:
        the values